package ValueLib;

import java.util.ArrayList;
import java.util.List;
// ValueList
public class ValueList {
	private List<Value> valueList = null;
	
	// default constructor
	public ValueList() {
		this.valueList = new ArrayList<Value>();
	}
	// copy constructor
	public ValueList(List<Value> list) {
		this.valueList = list;
	}
	// add Value into the list
	public void add(Value v) {
		this.valueList.add(v);
	}
	// insert Value at index into the list
	public void insert(int index, Value v) {
		this.valueList.add(index, v);
	}
	// replace with newValue at index in the list
	public void replace(int index, Value v) {
		this.valueList.remove(index);
		this.valueList.add(index, v);
	}
	// get size
	public int getSize() {
		return this.valueList.size();
	}
	// get valueList
	public List<Value> getValueList() {
		return this.valueList;
	}
	// get Value at index
	public Value get(int index) {
		return this.valueList.get(index);
	}
	// remove at index
	public void remove(int index) {
		this.valueList.remove(index);
	}
	// remove all
	public void removeAll() {
		this.valueList.clear();
	}
	@Override
	public String toString() {
		return java.util.Arrays.toString(this.valueList.toArray());
	}
}
