package ValueLib;

public class Values {
	private Value[] values = null;	

	public Values(int size) {
		this.values = new Value[size];
	}

	public Values(Value[] values) {
		this.values = values;
	}
	
	public void setValueAt(int index, Value value) {
		if (index >= 0 && index < this.values.length) {
			this.values[index] = value;		
		}
	}

	public int getSize() {
		return this.values.length;
	}

	public Value[] getValues() {
		return this.values;
	}

	public Value getValueAt(int index) {
		try {
			return this.values[index];
		}
		catch (java.lang.ArrayIndexOutOfBoundsException e) {
			e.printStackTrace();
			return null;		
		}
	}

	@Override
	public String toString() {
		return java.util.Arrays.toString(this.values);
	}
}
